Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.kernel.basic
Interface KernelBasic_Constants

All Known Implementing Classes:
  KernelBasic, KernelBasic_NamingReactors, KernelBasicBase

    public interface KernelBasic_Constants

Immutable constants for a Basic Kernel.

Version:
  1.0

  Version History

      EPG - Initial - 10 AUG 05

Author:
  Erich P. Gatejen

Field Summary
`static java.lang.String` | `CHANNEL_SYSTEM_BACKBONE` System backbone logging channel.
`static java.lang.String` | `CONFIG_DIRECTORY`
`static java.lang.String` | `CORE_SERVICES`
`static java.lang.String` | `CORE_SERVICES_suffix_CLASS`
`static java.lang.String` | `CORE_SERVICES_suffix_LOCAL`
`static java.lang.String` | `CORE_SERVICES_suffix_NAME`
`static java.lang.String` | `DEBUGGING_IDE` This this is set to true, it will load the loader for debugging IDE (which will load all classes from the classpath, rather than the dynamic loader).
`static Clearance` | `DEFAULT_KERNEL_CLEARANCE`
`static java.lang.String` | `DEFAULT_LOGGING_FACTORY_IMPLEMENTATION`
`static Clearance` | `DEFAULT_SERVICE_CLEARANCE`
`static java.lang.String` | `DEFAULT_UNIVERSE_CONFIG` Path to the default universe config from the install root.
`static Clearance` | `DEFAULT_USER_CLEARANCE`
`static char` | `ID_SEPERATOR`
`static java.lang.String` | `KERNEL_ID_STRING`
`static java.lang.String` | `KERNEL_ID_TAG`
`static java.lang.String` | `KERNEL_LOG_PATH`
`static int` | `KERNEL_RUNTIME_SLEEP_INTERVAL` Kernel runtime sleep interval in millis.
`static int` | `KERNEL_SHUTDOWN__SWEEPS` Number of sweeps to allow for shutdown before the kernel just starts killing things.
`static java.lang.String` | `LOG_DIRECTORY`
`static java.lang.String` | `LOG_SUFFIX`
`static java.lang.String` | `LOGGING_FACTORY_IMPLEMENTATION` Allow the system to change the logging implementation.
`static java.lang.String` | `LOGGING_LEVEL` The default logging level for the whole system.
`static java.lang.String` | `PROCESS_ID_STRING_PREFIX`
`static java.lang.String` | `PROCESS_ID_TAG_PREFIX`
`static java.lang.String` | `RESOURCENAME_LOGGER_PREFIX`
`static java.lang.String` | `SERVICE_ID_STRING_PREFIX`
`static java.lang.String` | `SERVICE_ID_TAG_PREFIX`
`static java.lang.String` | `SERVICE_LOG_PREFIX`
`static java.lang.String` | `SHARED_ROOT_GLOBAL_SPACE`
`static java.lang.String` | `SYSTEM_FILESYSTEM_ROOT`
`static java.lang.String` | `THINGS_CACHE_LOCATION` THINGS Loader configuration.
`static java.lang.String` | `THINGS_UNIVERSE_LOCATION_PLY`
`static java.lang.String` | `UNIVERSE_SYSTEM_DEFAULT_NAME_CONFIG`
`static java.lang.String` | `UNIVERSE_USER_DEFAULT_NAME_CONFIG`
`static java.lang.String` | `USER_FILESYSTEM_ROOT`
`static java.lang.String` | `USER_LOG_PREFIX`
`static java.lang.String` | `USER_ROOT`
`static java.lang.String` | `USER_ROOT_CONFIGURED_SPACE`
`static java.lang.String` | `USER_ROOT_GLOBAL_SPACE`
`static java.lang.String` | `USER_ROOT_PROCESS_SPACE`
`static java.lang.String` | `USER_suffix_KERNEL_NAME`
`static java.lang.String` | `USERSPACE_ID_STRING`
`static java.lang.String` | `USERSPACE_ID_TAG`

Field Detail

### DEFAULT_KERNEL_CLEARANCE

    static final Clearance DEFAULT_KERNEL_CLEARANCE

### DEFAULT_SERVICE_CLEARANCE

    static final Clearance DEFAULT_SERVICE_CLEARANCE

### DEFAULT_USER_CLEARANCE

    static final Clearance DEFAULT_USER_CLEARANCE

### KERNEL_RUNTIME_SLEEP_INTERVAL

    static final int KERNEL_RUNTIME_SLEEP_INTERVAL

  Kernel runtime sleep interval in millis. Don't let this be configurable for now.

  See Also:
    Constant Field Values

### KERNEL_SHUTDOWN__SWEEPS

    static final int KERNEL_SHUTDOWN__SWEEPS

  Number of sweeps to allow for shutdown before the kernel just starts killing things.

  See Also:
    Constant Field Values

### CHANNEL_SYSTEM_BACKBONE

    static final java.lang.String CHANNEL_SYSTEM_BACKBONE

  System backbone logging channel.

  See Also:
    Constant Field Values

### USER_FILESYSTEM_ROOT

    static final java.lang.String USER_FILESYSTEM_ROOT

See Also:
  Constant Field Values

### SYSTEM_FILESYSTEM_ROOT

    static final java.lang.String SYSTEM_FILESYSTEM_ROOT

See Also:
  Constant Field Values

### LOGGING_LEVEL

    static final java.lang.String LOGGING_LEVEL

  The default logging level for the whole system. The levels are named by the Logger.LEVEL enumeration.

  See Also:
    `Logger.LEVEL`, Constant Field Values

### DEBUGGING_IDE

    static final java.lang.String DEBUGGING_IDE

  This this is set to true, it will load the loader for debugging IDE (which will load all classes from the classpath, rather than the dynamic loader). It is false by default.

  See Also:
    Constant Field Values

### DEFAULT_UNIVERSE_CONFIG

    static final java.lang.String DEFAULT_UNIVERSE_CONFIG

  Path to the default universe config from the install root.

  See Also:
    Constant Field Values

### UNIVERSE_SYSTEM_DEFAULT_NAME_CONFIG

    static final java.lang.String UNIVERSE_SYSTEM_DEFAULT_NAME_CONFIG

See Also:
  Constant Field Values

### UNIVERSE_USER_DEFAULT_NAME_CONFIG

    static final java.lang.String UNIVERSE_USER_DEFAULT_NAME_CONFIG

See Also:
  Constant Field Values

### THINGS_CACHE_LOCATION

    static final java.lang.String THINGS_CACHE_LOCATION

  THINGS Loader configuration. THING space configuration kb.things.cache defines the location within universe/system space for the cache kb.things.universe.# lists all the universe(s) where THINGS sit. They will be search in the numbered (#) order.

  See Also:
    Constant Field Values

### THINGS_UNIVERSE_LOCATION_PLY

    static final java.lang.String THINGS_UNIVERSE_LOCATION_PLY

See Also:
  Constant Field Values

### LOGGING_FACTORY_IMPLEMENTATION

    static final java.lang.String LOGGING_FACTORY_IMPLEMENTATION

  Allow the system to change the logging implementation. This will be a class name for the implementation. This is done so the testers can intercept the logging. This is optional. The default logger will be KernelBasic_Logger2File.

  See Also:
    Constant Field Values

### DEFAULT_LOGGING_FACTORY_IMPLEMENTATION

    static final java.lang.String DEFAULT_LOGGING_FACTORY_IMPLEMENTATION

See Also:
  Constant Field Values

### CORE_SERVICES

    static final java.lang.String CORE_SERVICES

See Also:
  Constant Field Values

### CORE_SERVICES_suffix_NAME

    static final java.lang.String CORE_SERVICES_suffix_NAME

See Also:
  Constant Field Values

### CORE_SERVICES_suffix_CLASS

    static final java.lang.String CORE_SERVICES_suffix_CLASS

See Also:
  Constant Field Values

### CORE_SERVICES_suffix_LOCAL

    static final java.lang.String CORE_SERVICES_suffix_LOCAL

See Also:
  Constant Field Values

### USER_ROOT

    static final java.lang.String USER_ROOT

See Also:
  Constant Field Values

### USER_ROOT_GLOBAL_SPACE

    static final java.lang.String USER_ROOT_GLOBAL_SPACE

See Also:
  Constant Field Values

### USER_ROOT_PROCESS_SPACE

    static final java.lang.String USER_ROOT_PROCESS_SPACE

See Also:
  Constant Field Values

### SHARED_ROOT_GLOBAL_SPACE

    static final java.lang.String SHARED_ROOT_GLOBAL_SPACE

See Also:
  Constant Field Values

### USER_ROOT_CONFIGURED_SPACE

    static final java.lang.String USER_ROOT_CONFIGURED_SPACE

See Also:
  Constant Field Values

### USER_suffix_KERNEL_NAME

    static final java.lang.String USER_suffix_KERNEL_NAME

See Also:
  Constant Field Values

### KERNEL_ID_STRING

    static final java.lang.String KERNEL_ID_STRING

See Also:
  Constant Field Values

### KERNEL_ID_TAG

    static final java.lang.String KERNEL_ID_TAG

See Also:
  Constant Field Values

### USERSPACE_ID_STRING

    static final java.lang.String USERSPACE_ID_STRING

See Also:
  Constant Field Values

### USERSPACE_ID_TAG

    static final java.lang.String USERSPACE_ID_TAG

See Also:
  Constant Field Values

### PROCESS_ID_STRING_PREFIX

    static final java.lang.String PROCESS_ID_STRING_PREFIX

See Also:
  Constant Field Values

### PROCESS_ID_TAG_PREFIX

    static final java.lang.String PROCESS_ID_TAG_PREFIX

See Also:
  Constant Field Values

### SERVICE_ID_STRING_PREFIX

    static final java.lang.String SERVICE_ID_STRING_PREFIX

See Also:
  Constant Field Values

### SERVICE_ID_TAG_PREFIX

    static final java.lang.String SERVICE_ID_TAG_PREFIX

See Also:
  Constant Field Values

### ID_SEPERATOR

    static final char ID_SEPERATOR

See Also:
  Constant Field Values

### LOG_DIRECTORY

    static final java.lang.String LOG_DIRECTORY

See Also:
  Constant Field Values

### LOG_SUFFIX

    static final java.lang.String LOG_SUFFIX

See Also:
  Constant Field Values

### KERNEL_LOG_PATH

    static final java.lang.String KERNEL_LOG_PATH

See Also:
  Constant Field Values

### SERVICE_LOG_PREFIX

    static final java.lang.String SERVICE_LOG_PREFIX

See Also:
  Constant Field Values

### USER_LOG_PREFIX

    static final java.lang.String USER_LOG_PREFIX

See Also:
  Constant Field Values

### CONFIG_DIRECTORY

    static final java.lang.String CONFIG_DIRECTORY

See Also:
  Constant Field Values

### RESOURCENAME_LOGGER_PREFIX

    static final java.lang.String RESOURCENAME_LOGGER_PREFIX

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.